<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

// 1 ... poradce chovu
// 2 ... vedouci sekce
// 3 ... ze schuzi


namespace FrontModule;
use \Nette\Application\UI\Form;
use \Nette\Utils\Image;


 
class ZpravyPresenter extends BasePresenter {
    
    private $zpravyModel;
   
    
    
    public function __construct(\ZpravyModel $zpravyModel) {
    $this->zpravyModel = $zpravyModel;
    }
    
   
    
    public function renderPoradce() {
      
       $this->template->zpravy = $this->zpravyModel->getZpravyByTyp(1); 
       $this->template->title = 'Zprávy poradce chovu';
       $this->template->description = "Zprávy poradce chovu sekce velššpringršpaněl.";
        
 }
 
  
    public function renderVedouci() {
        $this->template->zpravy = $this->zpravyModel->getZpravyByTyp(2);
        $this->template->title = 'Zprávy vedoucího sekce';
        $this->template->description = "Zprávy vedoucího sekce velššpringršpaněl.";
       
    }
    
    public function renderSchuze() {
       $this->template->zpravy = $this->zpravyModel->getZpravyByTyp(3);
       $this->template->title = 'Zápisy ze schůzí';
       
    }
    
   
    
    public function renderDetail($id) {
        $this->template->zprava = $this->zpravyModel->getZpravaById($id);
    }
    
    
   
    
}


